From 1f1f303a14893a9d151bf114efe50404450ab14f Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Sun, 18 May 2025 11:38:33 +0300
Subject: [PATCH 59/59] meson-winbuild.sh: Remove separate version of the
 script

'meson-winbuild.sh --version' now return general freeciv version

See RM #1412

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 .../windows/installer_cross/meson-winbuild.sh     | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

diff --git a/platforms/windows/installer_cross/meson-winbuild.sh b/platforms/windows/installer_cross/meson-winbuild.sh
index 61fd97f338..11abba93ff 100755
--- a/platforms/windows/installer_cross/meson-winbuild.sh
+++ b/platforms/windows/installer_cross/meson-winbuild.sh
@@ -1,23 +1,26 @@
 #!/bin/sh
 
-# meson-winbuild.sh: Cross-compiling freeciv from linux to Windows using Crosser dllstack
-#                    and Meson
+# meson-winbuild.sh: Cross-compiling freeciv from linux to Windows using
+#                    Crosser dllstack and Meson
 #
 # This script is licensed under Gnu General Public License version 2 or later.
 # See COPYING available from the same location you got this script.
 #
 
-MESON_WINBUILD_VERSION="3.3.0-dev"
 MIN_WINVER=0x0A00 # Windows 10.
 CROSSER_FEATURE_LEVEL=2.10
 
+SRC_DIR="$(cd "$(dirname "$0")" || exit 1 ; pwd)"
+SRC_ROOT="$(cd "${SRC_DIR}/../../.." || exit 1 ; pwd)"
+BUILD_ROOT="$(pwd)"
+
 if test "$1" = "" || test "$1" = "-h" || test "$1" = "--help" ; then
   echo "Usage: $0 <crosser dir> <gui>"
   exit 1
 fi
 
 if test "$1" = "-v" || test "$1" = "--version" ; then
-  echo "meson-winbuild.sh version ${MESON_WINBUILD_VERSION}"
+  echo "$(basename "$0") version $("${SRC_ROOT}/fc_version")"
   exit
 fi
 
@@ -45,10 +48,6 @@ if ! test -f "${DLLSPATH}/crosser.txt" ; then
   exit 1
 fi
 
-SRC_DIR="$(cd "$(dirname "$0")" || exit 1 ; pwd)"
-SRC_ROOT="$(cd "${SRC_DIR}/../../.." || exit 1 ; pwd)"
-BUILD_ROOT="$(pwd)"
-
 VERREV="$("${SRC_ROOT}/fc_version")"
 if test "${INST_CROSS_MODE}" != "release" ; then
   if test -d "${SRC_ROOT}/.git" || test -f "${SRC_ROOT}/.git" ; then
-- 
2.47.2

